[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomBitBtn.CMAppShowBtnGlyphChanged

Handles the CM_APPSHOWBTNGLYPHCHANGED message for the control.

## Declaration

Source position: buttons.pp line 205

`protected procedure TCustomBitBtn.CMAppShowBtnGlyphChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMAppShowBtnGlyphChanged is a method used to handle the CM_APPSHOWBTNGLYPHCHANGED control message for the control. It ensures that the bitmap in Glyph is refreshed when the value in the GlyphShowMode property is set to gsmApplication.

## See also

TCustomBitBtn.Glyph |  | Bitmap with the Glyph displayed on the control.
TCustomBitBtn.GlyphShowMode |  | Indicates the policy for showing or hiding the glyph image for the button.
TButtonGlyph.Refresh |  | Updates the button glyph after changes to property values.
TGlyphShowMode |  | TGlyphShowMode indicates if the glyph image for a menu or button should be shown, and in which circumstances.